<?php

/*
	ecoCMS - Quick & easy to use Content Management System (CMS)
	(c)2009 by ecoCMS.com - visit also for PRO version.
*/

header('content-type: text/html; charset=utf-8');
include('config.php');

// check what page is loaded now, by "p" parameter in URL:
$page=explode('_',$_GET['p']);

// load subpages list.
$pages=file_get_contents('pages.txt');

// make array from this file's content
$pages=explode("\n",$pages);
$page[1]=(int)$page[1];

if(!$page[1]>0){
	// there is no ID in URL, 
	// take these details from $pages array:
	$page=explode('_',$pages[0]);
	$page[2]=$page[1];
	$page[1]=(int)$page[0];
}



// does subpage file exists? If not - create it now.

if(!is_writable('pages')){
	echo '<div style="background:url(editor_images/messageBack.png);line-height:80px;padding:0 20px; margin: 10px 0; border: 3px solid #FFE200;font-size:14px;font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;">"pages" folder is not writable! Saving changes will be impossible!</div>';
} else {
				
	if(!file_exists('pages/menu1_'.$page[1].'.html')){
		// file doesn't exists.
		$f = fopen('pages/menu1_'.$page[1].'.html', 'w');
		fwrite($f, 'Under Construction...');
		fclose($f);
	}
}

// now, load subpage's content.
$content=file_get_contents('pages/menu1_'.$page[1].'.html');

// load template file.
$template=file_get_contents('template.html');

// we have template file loaded and content loaded into some variables,
// it's time to connect them to a website!

// before we do it - we need to filter template, looking for some tags
// which will be replaced with some values - like website name, slogan, etc.

// first - menu tags.

$template = preg_replace('/{%menu_start=(.*?)%}(.*?){%menu_end=(.*?)%}/ise', "show_menu('\\2')", $template);

// *** some preparing for tags replacement... *** //

// get subpage name:
$subpage_name=explode('_',$pages[$page[1]-1]);
$subpage_name=$subpage_name[1];

// <title> tag, for homepage, it'll be just a website name, but for subpages,
// it'll contain subpage name:
if($page[1]>1)$MetaTitle=$subpage_name.' &raquo; '.WebsiteName;
else $MetaTitle=WebsiteName;

// 
// now, other tags, including tags from configuration file.

$TemplateTagsFrom = array('{%MetaTitle%}',
						  '{%WebsiteName%}',
						  '{%WebsiteLogo%}',
						  '{%WebsiteSlogan%}',
						  '{%WebsiteFooter%}',
						  '{%MetaCharset%}',
						  '{%MetaDescription%}',
						  '{%MetaKeywords%}',
						  '{%SearchExtra%}',
						  '{%content%}',
						  '{%name%}',
						  '{%news%}');

$TemplateTagsTo = array($MetaTitle,
						WebsiteName,
						'',
						WebsiteSlogan,
						WebsiteFooter,
						'text/html; charset=utf-8',
						MetaDescription,
						MetaKeywords,
						'',
						$content,
						$subpage_name,
						'This feature is not available in this version, please visit <a href="http://www.ecoCMS.com">ecoCMS.com</a> for more features!');

echo str_replace($TemplateTagsFrom,$TemplateTagsTo,$template);

?>